-- | A module that represents that access levels available to @scaladoc@.
module System.Build.Scala.Access(
                                  Access(..)
                                ) where

import System.Build.Args

-- | Show only public, protected/public (default) or all classes and members (public,protected,private)
data Access = Public      -- ^ @public@
              | Protected -- ^ @protected@
              | Private   -- ^ @private@
              deriving Eq

instance Show Access where
  show Public = "public"
  show Protected = "protected"
  show Private = "private"

instance ArgShow Access where
  arg = show
